//
// UploadObjectRect.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation



public struct UploadObjectRect: Codable {

    public var xMin: Decimal
    public var yMin: Decimal
    public var xMax: Decimal
    public var yMax: Decimal

    public init(xMin: Decimal, yMin: Decimal, xMax: Decimal, yMax: Decimal) {
        self.xMin = xMin
        self.yMin = yMin
        self.xMax = xMax
        self.yMax = yMax
    }

    public enum CodingKeys: String, CodingKey { 
        case xMin = "x_min"
        case yMin = "y_min"
        case xMax = "x_max"
        case yMax = "y_max"
    }

}
